libqxp::QXPMemoryStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libqxp::QXPMemoryStream Class Reference

`#include <QXPMemoryStream.h>`

Inheritance diagram for libqxp::QXPMemoryStream:

## Public Member Functions
| QXPMemoryStream (const unsigned char *data, unsigned length)
| ~QXPMemoryStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Member Functions
| QXPMemoryStream (const QXPMemoryStream &other)=delete
QXPMemoryStream & | operator= (const QXPMemoryStream &other)=delete

## Private Attributes
std::unique_ptr< unsigned char > | m_data
const long | m_length
long | m_pos

## Constructor & Destructor Documentation

## ◆ QXPMemoryStream() [1/2]

libqxp::QXPMemoryStream::QXPMemoryStream | ( | const QXPMemoryStream & | other | ) |
| privatedelete

## ◆ QXPMemoryStream() [2/2]

libqxp::QXPMemoryStream::QXPMemoryStream | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |

## ◆ ~QXPMemoryStream()

libqxp::QXPMemoryStream::~QXPMemoryStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libqxp::QXPMemoryStream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libqxp::QXPMemoryStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libqxp::QXPMemoryStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libqxp::QXPMemoryStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libqxp::QXPMemoryStream::isStructured | ( |  | ) |
| override

## ◆ operator=()

QXPMemoryStream& libqxp::QXPMemoryStream::operator= | ( | const QXPMemoryStream & | other | ) |
| privatedelete

## ◆ read()

const unsigned char * libqxp::QXPMemoryStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| override

## ◆ seek()

int libqxp::QXPMemoryStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| override

## ◆ subStreamCount()

unsigned libqxp::QXPMemoryStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libqxp::QXPMemoryStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libqxp::QXPMemoryStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_data

std::unique_ptr<unsigned char> libqxp::QXPMemoryStream::m_data
| private

Referenced by QXPMemoryStream(), and read().

## ◆ m_length

const long libqxp::QXPMemoryStream::m_length
| private

Referenced by isEnd(), read(), and seek().

## ◆ m_pos

long libqxp::QXPMemoryStream::m_pos
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- QXPMemoryStream.h
- QXPMemoryStream.cpp